Skip to content
PithLab

↑↓ to move · Enter to open · Esc to close

Subscription Cost Calculator API

Total monthly and yearly cost of a list of subscriptions billed weekly, monthly, quarterly or yearly, with cost per use and the saving from cancelling some.

POST /api/v1/tools/subscription-cost-calculatorMCP subscription_cost_calculatorCalculators

Add up your weekly, monthly, quarterly and yearly subscriptions, see the real yearly total and cost per use, and find out how much cancelling some would save.

Input

Send these as a JSON object. Unknown fields are rejected.

subscriptions
JSON array of up to 100 subscriptions, each {"name": string, "price": number, "period": "weekly" | "monthly" | "quarterly" | "yearly" (default monthly), "uses": optional uses per month, "cancel": optional boolean to count towards savings}. (string, up to 50000 characters, required)
curl https://pithlab.com/api/v1/tools/subscription-cost-calculator \n  -H "Authorization: Bearer $PITHLAB_KEY" \n  -H "Content-Type: application/json" \n  -d '{"subscriptions":"[{\"name\":\"Video streaming\",\"price\":15.49,\"period\":\"monthly\",\"uses\":12},{\"name\":\"Gym\",\"price\":40,\"period\":\"monthly\",\"uses\":4,\"cancel\":true},{\"name\":\"Office software\",\"price\":99.99,\"period\":\"yearly\"}]"}'
Example response
{
  "ok": true,
  "result": {
    "rows": [
      {
        "name": "Gym",
        "monthly": 40,
        "yearly": 480,
        "perUse": 10,
        "cancel": true
      },
      {
        "name": "Video streaming",
        "monthly": 15.49,
        "yearly": 185.88,
        "perUse": 1.2908333333333333,
        "cancel": false
      },
      {
        "name": "Office software",
        "monthly": 8.3325,
        "yearly": 99.99,
        "perUse": null,
        "cancel": false
      }
    ],
    "monthly": 63.822500000000005,
    "yearly": 765.8700000000001,
    "savingsMonthly": 40,
    "savingsYearly": 480,
    "text": "3 subscriptions cost 63.82 a month, 765.87 a year. Cancelling Gym saves 480.00 a year."
  }
}